class Attachment < ApplicationRecord
  belongs_to :resource

  def Attachment.save_file(file, resource)
    return if file.nil?
    dir = Rails.root.join('public', 'data')
    unless File.exists? dir
      Dir.mkdir dir
    end
    fname = file.original_filename
    a = Attachment.create resource: resource, name: fname, path: '', mime: file.content_type
    path = File.join(dir, a.id.to_s)
    File.open(path, 'wb') do |f| f.write(file.read) end
    a.update path: path, size: File.size(path)
  end
end
